package com.tptj.demo.hg.db.access.provider;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Convert;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-25
 **/
@Entity
@Table(name = "plugin_demo")
public class DemoEntity extends BaseEntity {

    public static final String COLUMN_KEY = "key";
    public static final String COLUMN_BEAN = "bean";

    @Column(name = COLUMN_KEY)
    private String key = null;

    @Column(name = COLUMN_BEAN)
    @Convert(converter = BeanConverter.class)
    private DemoBean bean = null;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public DemoBean getBean() {
        return bean;
    }

    public void setBean(DemoBean bean) {
        this.bean = bean;
    }
}
