package com.tptj.demo.hg.db.access.provider;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-25
 **/
@Entity
@Table(name = "plugin_demo_link")
public class LinkEntity extends BaseEntity {

    public static final String COLUMN_KEY = "key";
    public static final String COLUMN_ATTR = "attr3";

    @Column(name = COLUMN_KEY)
    private String key = null;

    @Column(name = COLUMN_ATTR)
    private String attr3 = null;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getAttr3() {
        return attr3;
    }

    public void setAttr3(String attr3) {
        this.attr3 = attr3;
    }

    public LinkEntity key(String key) {
        this.setKey(key);
        return this;
    }

    public LinkEntity attr3(String attr3) {
        this.setAttr3(attr3);
        return this;
    }

    public LinkEntity id(String id) {
        this.setId(id);
        return this;
    }


}

